Page MenuHomeFreeBSD

Remove "options PCBGROUP"
ClosedPublic

Authored by glebius on Nov 16 2021, 9:24 PM.

Details

Summary

With upcoming changes to the inpcb synchronisation it is going to be
broken. Even its current status after the move of PCB synchronization
to the network epoch is very questionable.

This experimental feature was sponsored by Juniper but ended never to
be used in Juniper and doesn't exist in their source tree [sjg@, stevek@,
jtl@]. In the past (AFAIK, pre-epoch times) it was tried out at Netflix
[gallatin@, rrs@] with no positive result and at Yandex [ae@, melifaro@].

I'm up to resurrecting it back if there is any interest from anybody.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

rrs added a subscriber: rrs.

Only question I have Gleb, is does the removal of PCBGROUP have any performance impacts for a user
that was using it and now no longer can?

This revision is now accepted and ready to land.Nov 17 2021, 7:42 PM
In D33020#746171, @rrs wrote:

Only question I have Gleb, is does the removal of PCBGROUP have any performance impacts for a user
that was using it and now no longer can?

I was trying to find a user of PCBGROUP and failed.

Just as a comment: With all these ties to RSS defines I'm not sure where that leaves the RSS feature with regard to its multiple hardware/software use cases but there's no point in blocking this with no visible consumers. I'll make sure to give this a test once it hits main.

This revision now requires review to proceed.Nov 19 2021, 4:38 AM
This revision was not accepted when it landed; it landed in state Needs Review.Dec 2 2021, 6:50 PM
This revision was automatically updated to reflect the committed changes.